Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039773
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2018-12-10 13:382018-12-17 13:48
ReporteranderarangurenView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision83a63cbaa7f0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039773: If a role has access to a parent org and does not have access to a child org, can see the orders in Goods Receipts window

DescriptionIf a role has access to a parent org and does not have access to a child org, can see the orders in Goods Receipts window in Creates Lines From
Steps To Reproduce1. Login Backoficce with F&B International Group Admin role
2. Go to Purchase Order window and create an order for F&B España - Region Norte, add some products an book it.
3. Go to Role window, F&B International Group Admin role and delete the access to F&B España - Region Norte.
4. Log out -Log in
5. Go to Goods Receipts window and create a new record for F&B España
6. Click on Create Lines From and realize that you can select the created order for Region Norte, but the products are not shown
Analyze if it is a expected behavior to see the order. If it is, it should show the products. If it is not, it should not appear the order in the dropdown.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108596)
AtulOpenbravo (developer)
2018-12-14 08:50

Test Plan
1. Login with F&B International Group Admin role
2. Go to Purchase Order window and create an order for F&B España - Region Norte, add some products an book it.
3. Go to Role window, F&B International Group Admin role and delete the access to F&B España - Region Norte.
4. Log out -Log in again.
5. Go to Goods Receipts window and create a new record for F&B España.
6. Click on Create Lines From and realize that you cannot select the created order in Region Norte.
(0108619)
hgbot (developer)
2018-12-14 14:48

Repository: erp/devel/pi
Changeset: 83a63cbaa7f09e43bfe0788c84027132133844ca
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Dec 14 10:49:32 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/83a63cbaa7f09e43bfe0788c84027132133844ca [^]

Fixes Issue 39773: If a role has access to a parent org and
does not have access to a child org, can see the orders in
Goods Receipts window

** Child organization documents should not be used to create
linked documents in parent organizations.
** Use organization tree used to load order lines when
loaded order header

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom.java
---
(0108620)
Sandrahuguet (developer)
2018-12-14 14:49

Code review + testing OK
(0108640)
hudsonbot (developer)
2018-12-17 13:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5420c0828280 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-12-10 13:38 anderaranguren New Issue
2018-12-10 13:38 anderaranguren Assigned To => Triage Finance
2018-12-10 13:38 anderaranguren Modules => Core
2018-12-10 13:38 anderaranguren Triggers an Emergency Pack => No
2018-12-10 16:47 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2018-12-13 10:34 AtulOpenbravo Status new => scheduled
2018-12-14 08:50 AtulOpenbravo Note Added: 0108596
2018-12-14 14:48 hgbot Checkin
2018-12-14 14:48 hgbot Note Added: 0108619
2018-12-14 14:48 hgbot Status scheduled => resolved
2018-12-14 14:48 hgbot Resolution open => fixed
2018-12-14 14:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/83a63cbaa7f09e43bfe0788c84027132133844ca [^]
2018-12-14 14:49 Sandrahuguet Review Assigned To => Sandrahuguet
2018-12-14 14:49 Sandrahuguet Note Added: 0108620
2018-12-14 14:49 Sandrahuguet Status resolved => closed
2018-12-14 14:49 Sandrahuguet Fixed in Version => 3.0PR19Q1
2018-12-17 13:48 hudsonbot Checkin
2018-12-17 13:48 hudsonbot Note Added: 0108640


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker